#!/bin/bash

PROJECTNAME=coronafana
RELEASENAME=${PROJECTNAME}
VERSION="0"

GOOPTIONS="-mod=vendor"
SRCFILES=cmd/coronafana/*.go

build() {
  if [[ ! -z $DRONE_TAG ]]
  then
    VERSION=$DRONE_TAG
  elif [[ ! -z $DRONE_TAG ]]
  then
    VERSION=$DRONE_COMMIT
  fi

  if [[ ! -z $VERSION && ! -z $GOOS && ! -z $GOARCH ]]
  then
    RELEASENAME=${PROJECTNAME}-${VERSION}-${GOOS}-${GOARCH}
  fi
  go build -o ${PROJECTNAME} ${GOOPTIONS} ${SRCFILES}
  if [[ ! -z $DRONE_TAG ]]
  then
    tar -czvf ${RELEASENAME}.tar.gz ${PROJECTNAME}
  fi
  rm ${PROJECTNAME}
}

clean() {
  rm -rf $RELEASEDIR
}

case $1 in
  "build")
    build
  ;;
  "clean")
    clean
  ;;
  *)
  ;;
esac
